org.hibernate.search.spatial.impl

## Interface GeometricConstants

-     public interface GeometricConstants

  Geometric constants to use in SpatialHelper calculation
  Author:
    Nicolas Helleringer, Mathieu Perez
  See Also:
    `SpatialHelper`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `EARTH_EQUATOR_CIRCUMFERENCE_KM`
    `static double` | `EARTH_MEAN_RADIUS_KM`
    `static int` | `HEADING_EAST`
    `static int` | `HEADING_NORTH`
    `static int` | `HEADING_SOUTH`
    `static int` | `HEADING_WEST`
    `static int` | `LATITUDE_DEGREE_MAX`
    `static int` | `LATITUDE_DEGREE_MIN`
    `static int` | `LATITUDE_DEGREE_RANGE`
    `static int` | `LONGITUDE_DEGREE_MAX`
    `static int` | `LONGITUDE_DEGREE_MIN`
    `static int` | `LONGITUDE_DEGREE_RANGE`
    `static Point` | `NORTH_POLE`
    `static double` | `PROJECTED_LATITUDE_RANGE`
    `static double` | `PROJECTED_LONGITUDE_RANGE`
    `static Point` | `SOUTH_POLE`
    `static double` | `TO_DEGREES_RATIO`
    `static double` | `TO_RADIANS_RATIO`
    `static int` | `WHOLE_CIRCLE_DEGREE_RANGE`

- - ### Field Detail

    - #### TO_RADIANS_RATIO

          static final double TO_RADIANS_RATIO

      See Also:
        Constant Field Values

    - #### TO_DEGREES_RATIO

          static final double TO_DEGREES_RATIO

      See Also:
        Constant Field Values

    - #### WHOLE_CIRCLE_DEGREE_RANGE

          static final int WHOLE_CIRCLE_DEGREE_RANGE

      See Also:
        Constant Field Values

    - #### LONGITUDE_DEGREE_RANGE

          static final int LONGITUDE_DEGREE_RANGE

      See Also:
        Constant Field Values

    - #### LONGITUDE_DEGREE_MIN

          static final int LONGITUDE_DEGREE_MIN

      See Also:
        Constant Field Values

    - #### LONGITUDE_DEGREE_MAX

          static final int LONGITUDE_DEGREE_MAX

      See Also:
        Constant Field Values

    - #### LATITUDE_DEGREE_RANGE

          static final int LATITUDE_DEGREE_RANGE

      See Also:
        Constant Field Values

    - #### LATITUDE_DEGREE_MIN

          static final int LATITUDE_DEGREE_MIN

      See Also:
        Constant Field Values

    - #### LATITUDE_DEGREE_MAX

          static final int LATITUDE_DEGREE_MAX

      See Also:
        Constant Field Values

    - #### HEADING_NORTH

          static final int HEADING_NORTH

      See Also:
        Constant Field Values

    - #### HEADING_SOUTH

          static final int HEADING_SOUTH

      See Also:
        Constant Field Values

    - #### HEADING_EAST

          static final int HEADING_EAST

      See Also:
        Constant Field Values

    - #### HEADING_WEST

          static final int HEADING_WEST

      See Also:
        Constant Field Values

    - #### EARTH_MEAN_RADIUS_KM

          static final double EARTH_MEAN_RADIUS_KM

      See Also:
        Constant Field Values

    - #### EARTH_EQUATOR_CIRCUMFERENCE_KM

          static final double EARTH_EQUATOR_CIRCUMFERENCE_KM

      See Also:
        Constant Field Values

    - #### PROJECTED_LATITUDE_RANGE

          static final double PROJECTED_LATITUDE_RANGE

      See Also:
        Constant Field Values

    - #### PROJECTED_LONGITUDE_RANGE

          static final double PROJECTED_LONGITUDE_RANGE

      See Also:
        Constant Field Values

    - #### NORTH_POLE

          static final Point NORTH_POLE

    - #### SOUTH_POLE

          static final Point SOUTH_POLE

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved